Bug 1129692 - does not work with current xulrunner
Summary: does not work with current xulrunner
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chmsee
Version: 20
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Yijun Yuan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 13:23 UTC by fednuc
Modified: 2014-11-18 19:48 UTC (History)
10 users (show)

Fixed In Version: chmsee-2.0.2-13.git617204e4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of: 1109133
Environment:
Last Closed: 2014-08-16 00:31:51 UTC


Attachments (Terms of Use)

Description fednuc 2014-08-13 13:23:52 UTC
+++ This bug was initially created as a clone of Bug #1109133 +++

+++ This bug was initially created as a clone of Bug #1063459 +++

Description of problem:
The available xulrunner does not work with chmsee from the repository.

Version-Release number of selected component:
chmsee-2.0.2-10.git86d101c9.fc20
xulrunner-31.0-1.fc20

Steps to Reproduce:
$ chmsee 

Expected results:
chmsee works with the distributed version of xulrunner.

Actual results:
Error: Platform version '31.0' is not compatible with
minVersion >= 22.0
maxVersion <= 30.*

Additional comments:
A huge chunk of the bugs for this package are related to xulrunner update breakage. Can someone please fix the release process for xulrunner so that it's automatically communicated as a "chmsee probably needs rebuild" event to the relevant maintainer(s).

Comment 1 Fedora Update System 2014-08-14 06:27:10 UTC
chmsee-2.0.2-12.git617204e4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/chmsee-2.0.2-12.git617204e4.fc20

Comment 2 lnie 2014-08-15 03:18:50 UTC
chmsee-2.0.2-12.git617204e4.fc20.x86_64.rpm works

Comment 3 Fedora Update System 2014-08-16 00:31:51 UTC
chmsee-2.0.2-12.git617204e4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Christian Klomp 2014-10-02 20:05:55 UTC
Broken again:
Error: Platform version '32.0' is not compatible with
minVersion >= 22.0
maxVersion <= 31.*

Comment 5 Fedora Update System 2014-10-04 02:01:28 UTC
chmsee-2.0.2-13.git617204e4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/chmsee-2.0.2-13.git617204e4.fc20

Comment 6 Fedora Update System 2014-10-04 02:01:35 UTC
chmsee-2.0.2-14.git617204e4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/chmsee-2.0.2-14.git617204e4.fc21

Comment 7 Fedora Update System 2014-10-14 04:36:59 UTC
chmsee-2.0.2-14.git617204e4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-14 04:45:08 UTC
chmsee-2.0.2-13.git617204e4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Christian Klomp 2014-11-09 11:48:17 UTC
Broken again with current Firefox:
(process:27466): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
Error: Platform version '33.0' is not compatible with
minVersion >= 22.0
maxVersion <= 32.*

Is it okay to keep posting this in this bug ticket?

Also, could there be a long time fix for this, or is that a bit too complex since the program doesn't seem to be supported any more (by its google code page)?

When I edit /usr/lib64/chmsee/application.ini and change MaxVersion=32.* to MaxVersion=* it still works fine. So this could be a solution, till that stops working.
I reckon this lowers the amount a minor recompiles though.

Comment 10 Yijun Yuan 2014-11-12 02:47:26 UTC
(In reply to Christian Klomp from comment #9)
> Broken again with current Firefox:
> (process:27466): GLib-CRITICAL **: g_slice_set_config: assertion
> 'sys_page_size == 0' failed
> Error: Platform version '33.0' is not compatible with
> minVersion >= 22.0
> maxVersion <= 32.*
> 
> Is it okay to keep posting this in this bug ticket?

Thanks for the message. Since you have platform 33, I assume you are on f21, as at the time of posting, xulrunner 33 is pushed for f21 only, not f20 or f19. Similar to previous case, I cannot build chmsee unless xulrunner has been pushed, or tagged in an override. And you can download from koji directly. The process indeed need some attention. Updates will not be pushed until 7 days after build. I could not build f19 until today. And I am still waiting to build the f20 one.

> 
> When I edit /usr/lib64/chmsee/application.ini and change MaxVersion=32.* to
> MaxVersion=* it still works fine.

If this is the case, then I no longer need to rebuild all the time. But when I tried it, it just says "Open book failed! You may need to rebuild the chmsee XPCOM component." Sorry I should try to find a way to fix this for good.

Comment 11 Christian Klomp 2014-11-12 10:29:19 UTC
(In reply to Yijun Yuan from comment #10)
> (In reply to Christian Klomp from comment #9)
> > Broken again with current Firefox:
> > (process:27466): GLib-CRITICAL **: g_slice_set_config: assertion
> > 'sys_page_size == 0' failed
> > Error: Platform version '33.0' is not compatible with
> > minVersion >= 22.0
> > maxVersion <= 32.*
> > 
> > Is it okay to keep posting this in this bug ticket?
> 
> Thanks for the message. Since you have platform 33, I assume you are on f21,
> as at the time of posting, xulrunner 33 is pushed for f21 only, not f20 or
> f19. Similar to previous case, I cannot build chmsee unless xulrunner has
> been pushed, or tagged in an override. And you can download from koji
> directly. The process indeed need some attention. Updates will not be pushed
> until 7 days after build. I could not build f19 until today. And I am still
> waiting to build the f20 one.
I'm on F20 and to me it looks like xulrunner 33 has been pushed?
https://admin.fedoraproject.org/updates/FEDORA-2014-13575/xulrunner-33.0-2.fc20
I might have updated Firefox from koji to try a updates-testing build when the mirror/repo hadn't been synced yet, but I don't think I also manually updated xulrunner.

Comment 12 Yijun Yuan 2014-11-18 19:48:34 UTC
(In reply to Christian Klomp from comment #11)
> I'm on F20 and to me it looks like xulrunner 33 has been pushed?
> https://admin.fedoraproject.org/updates/FEDORA-2014-13575/xulrunner-33.0-2.
> fc20

Yes you are right, I only watched http://koji.fedoraproject.org/koji/buildinfo?buildID=587169 for the tags to change. Why the tag is still updates-testing then? And my build was not successful http://koji.fedoraproject.org/koji/taskinfo?taskID=8121792

Thanks!


Note You need to log in before you can comment on or make changes to this bug.